#!/bin/sh
# ColorCustomizer script for the Borealis superkaramba theme ver.1.0
# Copyright 2004 - Ivica Ico Bukvic
# http://ico.bukvic.net
# This install script is made available under GPL license
# For more info regarding this license, please see http://www.gnu.org/copyleft/gpl.html

name='Borealis superkaramba theme Wireless Fix v.1.0'
title='by Ivica Ico Bukvic
ico@bukvic.net
http://ico.bukvic.net
'
directory="/home/$user/Karamba/Borealis"
config="/home/$USER/.kde/share/config"
homepage='http://ico.bukvic.net'
kde_page='N/A'

#==============================================================

echo -e "\nThe $name $title"

# Check if we are in the proper directory
pwd=`pwd`
if [ "$pwd" != "$HOME/Karamba/Borealis" ]; then
  echo "This script needs to be run from the install folder. Exiting..."
  exit 1
fi

# Check if superkaramba is greater than needed version 0.35
version=`superkaramba -v | grep sup | sed -e 's/.*: //' | sed -e 's/\..*//'`
if [ $version == 0 ]; then
  version=`superkaramba -v | grep sup | sed -e 's/.*\.//'`
  if [ $version -lt 35 ]; then
    echo "This theme requires superkaramba v.0.35 or greater. You are apparently running v.0.${version}. Exiting..."
    exit 1
  fi
fi

echo "Are you having problems with the wireless strength always showing 0? (y/n)"
read text
case $text in
	[y] | [Y] )
		cat wireless.py | sed -e 's/Quality:/Quality=/' | sed -e 's/\":\"/\"=\"/' > tmp
		mv -f tmp wireless.py
	;;
	* )
		echo -e "Aborting wireless fix script. Goodbye!\n"
		exit 0
	;;
esac

echo -e "\n\nDone! Now, try reloading the wireless bar by right-clicking onto it, selecting 'reload' option, and then checking whether the signal strength is displayed correctly. If you still do not have the proper strength displayed (please note that signal strength is calculated as a signal-to-noise ratio and has nothing to do with the link quality value), please e-mail the author and send him the output of the following shell command:\n\niwconfig\n\nAlso please make sure to title your e-mail in a clear way in order to avoid having your e-mail eaten by the spam filters. Many thanks!\n"

exit 0
